// 分公司特殊组件页面注册
import Vue from 'vue'

export default function () {
  // 抄表户数预备户数
  Vue.component('households-type', (resolve) => { require(['./HouseholdsType'], resolve) })
  // 数据采集（抄表总户数，未抄表失联，其他异常的户数）
  Vue.component('data-acquisition-type', (resolve) => { require(['./DataAcquisitionType'], resolve) })
  // 首页图表
  Vue.component('echarts-box', (resolve) => { require(['./EchartsBox'], resolve) })
  // 新增用户散列图
  Vue.component('bank-manager', (resolve) => { require(['./BankManager'], resolve) })
  // 换表故障统计报表
  Vue.component('change-meter-fault-summary', (resolve) => { require(['./meterFaultChangeSummary'], resolve) })
  // 用气汇总报表
  Vue.component('gas-usage-summary', (resolve) => { require(['./GasUsageSummary'], resolve) })
  // 用气报表(按气价)
  Vue.component('xk-gas-usage-summary-new', (resolve) => { require(['./xKGasUsageSummaryNew'], resolve) })
  // 销售报表(按气价名称)
  Vue.component('xk-gas-user-selling-gas-new', (resolve) => { require(['./xKGasUserSellingGasNew'], resolve) })
}
